BSD-FAQ-it
Indietro | Capitolo 5. Applicazioni e Varie | Avanti

# 5.7. Come creo i cd di dati?

La procedura per la creazione di cd di dati è divisa in due, a seconda che si utilizzi un masterizzatore ATAPI oppure uno SCSI o un ATAPI con emulazione SCSI. Tuttavia il primo passaggio è identico per tutte e due le procedure: la creazione dell'immagine ISO, come spiegato nella domanda "Come creo un'immagine ISO" (Sezione 5.6).

Ora passiamo alla masterizzazione vera e propria.

## 5.7.1. Scrittura dei CD con masterizzatori ATAPI

Solitamente per scrivere cd con masterizzatori ATAPI si usa burncd(8) che è compreso nel sistema base. Questo programma può masterizzare sia CD di dati sia audio, per ora occupiamoci solo dei primi. Le opzioni principali di burncd(8) sono:

    -f /dev/acd0c/ : specifica il device del masterizzatore
    -s N : specifica la velocita di NX
    -v : stampa un numero maggiore di informazioni su ciò che sta eseguendo il programma
    -e : una volta finito di scrivere il cd, lo espelle

Per masterizzare quindi l'immagine `FreeBSD.iso` con il masterizzatore `/dev/acd0c`, a una velocità di 48x, con espulsione del CD a scrittura ultimata e maggiori informazioni durante la scrittura, dovremo eseguire il seguente comando:

    # burncd -f /dev/acd0c -e -v -s 48 data FreeBSD.iso fixate

La man page di burncd è molto chiara e saprà chiarire qualsiasi dubbio.

## 5.7.2. Scrittura dei CD con masterizzatori SCSI o ATAPI con emulazione SCSI

Se la nostra macchina ha un masterizzatore SCSI o ATAPI in emulazione SCSI, utilizzeremo cdrecord per la scrittura dei CD. Questo programma è compreso nel port `sysutils/cdrecord`. A volte dopo aver aggiornato il sistema, si possono avere problemi a usare cdrecord(1) ed è quindi consigliato aggiornare il pacchetto dopo aver ricompilato. Usare `cdrecord` è davvero facile:

    # cdrecord dev=device image.iso

L'unica parte da individuare è il valore di dev questo si può desumere dall'output di

    # cdrecord -scanbus
    Cdrecord 1.9 (i386-unknown-freebsd4.2) Copyright (C) 1995-2000 Jörg Schilling
        Using libscg version 'schily-0.1'
        scsibus0:
                0,0,0     0) 'SEAGATE ' 'ST39236LW       ' '0004' Disk
                0,1,0     1) 'SEAGATE ' 'ST39173W        ' '5958' Disk
                0,2,0     2) *
                0,3,0     3) 'iomega  ' 'jaz 1GB         ' 'J.86' Removable Disk
                0,4,0     4) 'NEC     ' 'CD-ROM DRIVE:466' '1.26' Removable CD-ROM
                0,5,0     5) *
                0,6,0     6) *
                0,7,0     7) *
        scsibus1:
                1,0,0   100) *
                1,1,0   101) *
                1,2,0   102) *
                1,3,0   103) *
                1,4,0   104) *
                1,5,0   105) 'YAMAHA  ' 'CRW4260         ' '1.0q' Removable CD-ROM
                1,6,0   106) 'ARTEC   ' 'AM12S           ' '1.06' Scanner
                1,7,0   107) *

Questo output elenca i possibili valori di dev e in questo caso il masterizzatore è rappresentato al numero 1,5,0 che sarà il valore da assegnare a dev. Ci sono altri modi per trovare questo valore e la man page ci fornisce queste e altre informazioni per un miglior uso di cdrecord(1).

Indietro | Partenza | Avanti
Come creo un'immagine ISO? | Risali | Come creo i CD audio?